XE 공식 자료실

XE 코어 XE Core ver. 1.9.7

제작자
XE
등록일
2018-06-07
다운로드 수
5,736
링크1
www.xpressengine.com
링크2
xpressengine/xe-core

XpressEngine의 설치부터 운영에 필요한 가장 중요한 내용이 있는 Core 배포판입니다. XpressEngine의 모든 프로그램/스킨등은 XpressEngine Core가 있어야 합니다.

라이선스
LGPL v2
설치경로
.
최초 등록일
2009-09-24
전체 다운로드
2,085,254

상세 설명

XpressEngine Core 1.9.7 버전을 배포합니다.

이 버전에서는 버그 수정과 다수 개발자의 코드 기여에 의한 개선 사항이 포함됩니다.

서버의 PHP 7.2 업그레이드 시 주의 사항

이 배포본에서는 PHP 7.2에 대한 호환성 문제를 고쳤으나,
PHP 7.2 이상의 환경에서는 PHP 7.2에 대응하지 않은 확장 기능 사용시에 문제를 겪을 수 있으므로
PHP 7.2 이상에서는 확장 기능 사용 시 주의 하시기 바랍니다.

관련 정보는 https://www.xpressengine.com/devlog/23249915 에서 찾아볼 수 있습니다.

Core 업데이트 주의 사항

  • 실 사이트에 적용하시기 전에 실 사이트와 유사한 환경을 갖추고 이상이 없는지 확인하시길 권고합니다.
  • 업데이트 전 관리자 로그인 상태로 관리페이지를 열어두시고 진행하시길 권고합니다.
  • 업데이트 후 대시보드에서 각 모듈의 DB 생성 및 업데이트 버튼을 누르세요.
  • 업데이트 순서는 'menu > module > 기타 모듈'순서로 해 주시기 바랍니다.
  • 업데이트 후 관리페이지 우측 하단의 캐시파일 재생성으로 cache를 갱신하셔야 합니다.
  • 1.4 및 1.5 버전에서 업데이트하는 경우 데이터 양에 따라 시간이 많이 소요될 수 있으며 서버 환경에 따라 업데이트에 실패할 수 있습니다.
  • 다음 문서를 참고하여 데이터 백업 후 진행하시길 권고합니다.
  • http://www.xpressengine.com/22674246

XE Core의 쉬운 설치 제한

1.9.7 버전부터 관리페이지에서 손쉽게 XE Core를 업데이트 할 수 있는 기능이 제한됩니다.
파일 전송 프로그램 등을 통해 업로드하여 업데이트할 수 있으며,
파일이 모두 정상적으로 업로드 되었는지 확인하시기 바랍니다.

문제 발견 시 알려주세요

이 버전에서 발견된 문제는 XE Core 프로젝트 페이지에 이슈를 작성해주시기 바랍니다.

신규 보안 취약점 포상제

XE의 보안취약점의 빠른 발견과 해결을 위해 신규 보안취약점에 대한 신고 포상제를 시행합니다.

그동안 XE 보안취약점은 한국인터넷진흥원(KISA)를 통해 접수되어 통보받는 형태로 운영되어 왔습니다.
하지만 신고자와의 긴밀한 연락이 불가하고, 신고자의 정보를 파악할 수 없어 오픈소스 소프트웨어의 공헌자로서 그 이름을 알리지 못했었습니다.

지속적으로 보안 취약점을 발견하고 해결해나가기위해 자체적인 보안 취약점 신고 절차와 신규 보안 취약점 신고자에 대한 포상제를 시행합니다.

보안 취약점 신고 포상제 페이지를 통해 보안 취약점의 신고 절차를 확인할 수 있습니다.

많은 분들이 공헌해주셨습니다

XE는 자유소프트웨어로서 공개 프로젝트로 운영하고 있습니다.
XE Core 프로젝트 페이지에서 버그 보고 및 개선 제안과 개발에 참여할 수 있습니다.

XE 1.9 미리보기

XE Demo에서 XE 1.9을 미리 사용해볼 수 있습니다.

초기 설치 상태 그대로의 모습으로 최고관리자 권한을 이용해 쉬운설치 및 XE 1.8의 모든 기능을 체험해볼 수 있습니다.

다운로드

이 버전의 직전 버전을 사용 중이신 경우 변경된 파일(파일명에 'changed'가 포함된 파일)만 내려받아 업데이트할 수 있습니다.

변경 내역

  • #2037 openid_delegation_id 등 일부 애드온 및 레이아웃, 위젯 스킨을 배포본에서 제거 @bnu
    • 아래 대상 애드온, 레이아웃, login_info 위젯 스킨은 업데이트를 종료합니다
    • 애드온 : blogapi, mobile, openid_delegation_id
    • 레이아웃 : xe_official
    • login_info 위젯의 스킨 : xe_global, xe_official, xe_solid_enterprise_login

Defect

  • #2148 관리 페이지의 '설정 -> 일반 -> 하단(footer) 스크립트' 설정이 모바일에는 적용되지 않는 문제 고침 @bnu@wookho
  • #2236 일반 회원이 게시물에 동영상 코드 삽입 시 전체화면보기 옵션이 제거되는 문제 고침 @bnu @kijin @wookho
  • #2249 memory_limit 설정이 -1로 되어있을 때 썸네일을 생성하지 못하는 문제 고침 @sijongyeoil @bnu
  • #2250 회원 관리페이지 잘못된 템플릿 코드 고침 @bnu
  • #2252 <a> 태그에 target 속성에 따라 스크립트 오류가 발생할 수 있는 문제 고침 @bnu @bjrambo
  • #2256 #2253 #2254 Syndication 모듈에서 ping 전송 오류 및 수집 데이터 출력 문제 고침 @bnu @wookho
  • #2260 favicon 및 모바일 아이콘이 항상 HTTP로 로드하는 문제 고침 @ned3y2k @bnu
  • #2264 유니코드 도메인 사용 시 isSameHost() 함수가 제대로 동작하지 않는 문제 고침 @kijin @bnu

Enhancement

  • #2243 회원 프로필 이미지에 PNG 투명 이미지를 사용할 수 있도록 개선 @lalafellsleep @bnu
  • #2262 라이브러리 충돌 방지를 위해 제거한 jQuery의 shortcut인 $를 사용할 수 있도록 복원 @kijin @bnu

For Developers

 

포럼 3

로그인 후 작성할 수 있습니다.
  • 2018-06-14 19:57:33 금붕어

    감사합니다.
    리눅스나 프로그램을 잘 모르더라도 쉬운 설치 덕분으로 그동안
    홈피를 잘 운영하고 있었는데 쉬운설치가 되지 않으면 걱정입니다.
    저만의 홈피가 아니고 아이들과 여러 분들이 함께 사용하는 홈피라서...
    그렇다고 업데이트만을 업체에 위탁할 수도 없고..
    고민하여 주신다니 감사합니다...

  • 2018-06-14 16:16:43 제작자 XE

    @금붕어
    쉬운 설치로 코어 업데이트 시 서버 환경에 따라 오류가 발생할 수 있는 요소가 다양합니다.
    FTP로 파일을 다루는 경우에는 더욱 높은 확률로 문제가 나타날 수도 있고요.
    직접 적인 문제 해결은 쉽지 않을 것으로 보이나, 좀 더 고민해보겠습니다.
    감사합니다.

  • 2018-06-13 22:22:12 금붕어

    혹시 쉬운설치를 제한하시는 특별한 이유가 있는지 궁금합니다.
    그동안 홈피를 관리하면서 쉬운설치로 잘 업그레이드 하였는데
    쉬운설치가 없으면 업그레이드가 어려운 편이라서요.
    쉬운설치가 되었으면 좋겠다는 간절한 소망입니다.